aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/build-otp2
-rwxr-xr-xscripts/run-dialyzer7
2 files changed, 8 insertions, 1 deletions
diff --git a/scripts/build-otp b/scripts/build-otp
index 92031c79c8..92a866a0a9 100755
--- a/scripts/build-otp
+++ b/scripts/build-otp
@@ -37,7 +37,7 @@ if [ ! -d "logs" ]; then
fi
do_and_log "Autoconfing" autoconf
-do_and_log "Configuring" configure
+do_and_log "Configuring" configure --enable-plain-emulator
do_and_log "Building OTP" boot -a
exit 0
diff --git a/scripts/run-dialyzer b/scripts/run-dialyzer
new file mode 100755
index 0000000000..383ae2301d
--- /dev/null
+++ b/scripts/run-dialyzer
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+set -e
+
+$ERL_TOP/bin/dialyzer --build_plt --apps asn1 compiler crypto dialyzer edoc erts et hipe inets kernel mnesia observer public_key runtime_tools snmp ssh ssl stdlib syntax_tools wx xmerl --statistics
+$ERL_TOP/bin/dialyzer -n -Wunknown -Wunmatched_returns --apps compiler erts kernel stdlib asn1 crypto dialyzer hipe parsetools public_key runtime_tools sasl tools --statistics
+$ERL_TOP/bin/dialyzer -n --apps common_test debugger edoc inets mnesia observer ssh ssl syntax_tools tools wx xmerl --statistics